class CreateWxMenus < ActiveRecord::Migration
  def self.up
    create_table :wx_menus  do |t|
      #微信公众号
      t.integer  :wx_gongzhonghao_id, :null => false
      # 菜单名
      t.string   :name
      # 上级
      t.string   :ancestry,   :limit => 64
      # 内容(小程序填写的是备用url)
      t.text     "content"
      # 操作类型
      t.string   "action",     :limit => 15,  :default => "view"
      # 创建时间
      t.datetime "created_at"
      # 事件关键字
      t.string   "key"
      # 位置
      t.integer  "position"
      # 小程序appid(小程序必填)
      t.string   :appid
      # 小程序页面路径(小程序必填)
      t.string   :pagepath
    end

    add_index :wx_menus, :wx_gongzhonghao_id
    add_index :wx_menus, :ancestry
  end

  def self.down
    drop_table :wx_menus
  end
end
